Defines | Functions

# tcp_content.cpp File Reference

Basic functions to receive and send Content packets. More...

`#include "../../stdafx.h"`
`#include "../../textfile_gui.h"`
`#include "../../newgrf_config.h"`
`#include "../../base_media_base.h"`
`#include "../../ai/ai.hpp"`
`#include "../../game/game.hpp"`
`#include "../../fios.h"`
`#include "tcp_content.h"`

Go to the source code of this file.

## Defines
#define | CONTENT_COMMAND(type) case type: return this->NetworkPacketReceive_ ## type ## _command(p); break;
| Defines a simple (switch) case for each network packet.
## Functions
Subdirectory | GetContentInfoSubDir (ContentType type)
| Helper to get the subdirectory a ContentInfo is located in.

## Detailed Description

Basic functions to receive and send Content packets.

Definition in file tcp_content.cpp.

## Define Documentation

#define CONTENT_COMMAND | ( |  | type | ) | case type: return this->NetworkPacketReceive_ ## type ## _command(p); break;

Defines a simple (switch) case for each network packet.

Parameters:

  | type | the packet type to create the case for

Definition at line 159 of file tcp_content.cpp.

## Function Documentation

Subdirectory GetContentInfoSubDir | ( | ContentType | type | ) |

Helper to get the subdirectory a ContentInfo is located in.

Parameters:

  | type | The type of content.

Returns:
  The subdirectory the content is located in.

Definition at line 229 of file tcp_content.cpp.

References CONTENT_TYPE_AI, CONTENT_TYPE_AI_LIBRARY, CONTENT_TYPE_BASE_GRAPHICS, CONTENT_TYPE_BASE_MUSIC, CONTENT_TYPE_BASE_SOUNDS, CONTENT_TYPE_GAME, CONTENT_TYPE_GAME_LIBRARY, CONTENT_TYPE_HEIGHTMAP, CONTENT_TYPE_NEWGRF, and CONTENT_TYPE_SCENARIO.

Referenced by ClientNetworkContentSocketHandler::AfterDownload(), GetFullFilename(), and ContentInfo::GetTextfile().